Subject: Re: bug#58839: [Patch] Re: bug#58839: 29.0.50; project-kill-buffer fails when Eglot is running

From: João Távora <[email-masked]>
Date: Tue, 1 Nov 2022 14:11:35 +0000

On Tue, Nov 1, 2022 at 2:00 PM Philip Kaludercic <[email-masked]> wrote:

> > My idea of using the byte-compiler to do this is different: it entails
> > translating the mini-language to elisp first and then byte-compiling
> > that.  But it is a technique that I think your code isn't applying
> > or at least not correctly (though I haven't read all of it: I will soon).
>
> What I am doing is translating it into lambda expressions, but I could
> also try out translating it into an s-expression and passing that to
> `eval'...
>

Yes, do that, but use byte-compile instead, not eval.

João Távora